> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a Report

<Warning>
  **Recent endpoint update**

  This endpoint was recently updated to version 2 (see "V2" in the URL). Version 1 has been deprecated, we recommend switching to V2 as soon as possible.
</Warning>

To retrieve the file content, use your API credentials to access the file specified by the report object `id`.

<Note>
  **Downloading reports**

  The API response will include a link with to download the report. Open the link through your browser to access the data.
</Note>

Explore the following links to access various report examples:

<Columns cols={2}>
  <Card title="Payments" href="https://github.com/yuno-payments/yuno-docs/raw/refs/heads/main/raw-files/report-examples/example-payments-csv.zip" arrow />

  <Card title="Settlements & Fees" href="https://github.com/yuno-payments/yuno-docs/raw/refs/heads/main/raw-files/report-examples/example-settlement-fees-report.csv.zip" arrow />

  <Card title="Transaction Report" href="https://github.com/yuno-payments/yuno-docs/raw/refs/heads/main/raw-files/report-examples/example-transaction-report-csv.zip" arrow />

  <Card title="Reconciliation Overview" href="https://github.com/yuno-payments/yuno-docs/raw/refs/heads/main/raw-files/report-examples/example-reconciliation-overview-report.csv.zip" arrow />

  <Card title="Communications" href="https://github.com/yuno-payments/yuno-docs/raw/refs/heads/main/raw-files/report-examples/example-communications-csv.zip" arrow />
</Columns>


## OpenAPI

````yaml openapi/reports/download-a-report.json GET /reports/{report_id}/download 
openapi: 3.1.0
info:
  title: reports-download-a-report-v2
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v2
security:
  - sec0: []
    sec1: []
paths:
  /reports/{report_id}/download:
    get:
      summary: Download a Report
      operationId: download-a-report
      parameters:
        - name: X-Organization-Code
          in: header
          required: true
          schema:
            type: string
          description: Organization code associated to the request.
        - name: report_id
          in: path
          required: true
          description: The report unique identifier.
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    type: TRANSACTIONS
                    download_link: https://s3.amazonaws.com/.../report.csv
                    status: AVAILABLE
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: TRANSACTIONS
                  download_link:
                    type: string
                    example: https://s3.amazonaws.com/.../report.csv
                  status:
                    type: string
                    example: AVAILABLE
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````